Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.ssi.commands
Class EndifCommand

    java.lang.Object
      |
      +--org.w3c.jigsaw.ssi.commands.EndifCommand

public class EndifCommand
extends java.lang.Object
implements ControlCommand

Implementation of the SSI `endif` command.

Field Summary
`protected static java.util.Hashtable` | `endifstore`

Constructor Summary
`EndifCommand()`

Method Summary
`boolean` | `acceptCaching()` return true if reply can be cached.
`Reply` | `execute(SSIFrame ssiframe, Request request, ArrayDictionary parameters, java.util.Dictionary variables)`
`java.lang.String` | `getName()`
`protected static int` | `getPosition(java.lang.String name)`
`java.lang.String` | `getValue(java.util.Dictionary variables, java.lang.String var, Request request)`
`int` | `jumpTo(SSIFrame ssiframe, Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables)`
`void` | `setPosition(SSIFrame ssiframe, Request request, CommandRegistry registry, ArrayDictionary parameters, java.util.Dictionary variables, int position)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### endifstore

    protected static java.util.Hashtable endifstore

Constructor Detail

### EndifCommand

    public EndifCommand()

Method Detail

### acceptCaching

    public boolean acceptCaching()

  return true if reply can be cached.
  Returns:
    a boolean.

### getPosition

    protected static int getPosition(java.lang.String name)
                              throws ControlCommandException

### setPosition

    public void setPosition(SSIFrame ssiframe,
                            Request request,
                            CommandRegistry registry,
                            ArrayDictionary parameters,
                            java.util.Dictionary variables,
                            int position)

  Specified by:
    setPosition in interface ControlCommand

### getValue

    public java.lang.String getValue(java.util.Dictionary variables,
                                     java.lang.String var,
                                     Request request)

### execute

    public Reply execute(SSIFrame ssiframe,
                         Request request,
                         ArrayDictionary parameters,
                         java.util.Dictionary variables)

### jumpTo

    public int jumpTo(SSIFrame ssiframe,
                      Request request,
                      CommandRegistry registry,
                      ArrayDictionary parameters,
                      java.util.Dictionary variables)
               throws ControlCommandException

  Specified by:
    jumpTo in interface ControlCommand

### getName

    public java.lang.String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD